Bug 797715 - Improper log levels
Improper log levels
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.2.5
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-02-27 00:57 EST by Sachidananda Urs
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-02-27 00:57:04 EST
Description of problem:

Log messages like below snippet should go to ERROR or WARNING:

=================================================

[2012-02-24 15:53:09.723929] I [dht-layout.c:192:dht_layout_search] 0-gl03storage03-dht: no subvolume for hash (value) = 2181660640
[2012-02-24 15:53:09.731151] I [afr-self-heal-common.c:705:afr_mark_sources] 0-gl03storage03-replicate-1: split-brain possible, no source detected
[2012-02-24 15:53:09.731177] I [dht-common.c:479:dht_revalidate_cbk] 0-gl03storage03-dht: subvolume gl03storage03-replicate-1 for /d/96/14 returned -1 (Input/output err
or)
[2012-02-24 15:53:09.731828] I [dht-layout.c:192:dht_layout_search] 0-gl03storage03-dht: no subvolume for hash (value) = 2825566214
[2012-02-24 15:53:09.738091] I [afr-self-heal-common.c:705:afr_mark_sources] 0-gl03storage03-replicate-1: split-brain possible, no source detected
[2012-02-24 15:53:09.738116] I [dht-common.c:479:dht_revalidate_cbk] 0-gl03storage03-dht: subvolume gl03storage03-replicate-1 for /d/97/2e returned -1 (Input/output err
or)

==========================================
Comment 1 Sachidananda Urs 2012-02-27 00:58:26 EST
Some more:

[2012-02-27 05:56:26.479592] I [afr-self-heal-common.c:705:afr_mark_sources] 0-gl03storage03-replicate-0: split-brain possible, no source detected
[2012-02-27 05:56:26.479706] I [dht-layout.c:581:dht_layout_normalize] 0-gl03storage03-dht: found anomalies in /d/a8/ed. holes=1 overlaps=0
[2012-02-27 05:56:26.479720] I [dht-selfheal.c:576:dht_selfheal_directory] 0-gl03storage03-dht: 1 subvolumes have unrecoverable errors
[2012-02-27 05:56:27.366073] I [afr-self-heal-common.c:705:afr_mark_sources] 0-gl03storage03-replicate-1: split-brain possible, no source detected
[2012-02-27 05:56:27.366105] I [dht-layout.c:581:dht_layout_normalize] 0-gl03storage03-dht: found anomalies in /d/a8/c0. holes=1 overlaps=0
[2012-02-27 05:56:27.366118] I [dht-selfheal.c:576:dht_selfheal_directory] 0-gl03storage03-dht: 1 subvolumes have unrecoverable errors
[2012-02-27 05:56:28.786603] I [afr-self-heal-common.c:705:afr_mark_sources] 0-gl03storage03-replicate-1: split-brain possible, no source detected
[2012-02-27 05:56:28.786680] I [dht-layout.c:581:dht_layout_normalize] 0-gl03storage03-dht: found anomalies in /d/a8/de. holes=1 overlaps=0
[2012-02-27 05:56:28.786699] I [dht-selfheal.c:576:dht_selfheal_directory] 0-gl03storage03-dht: 1 subvolumes have unrecoverable errors
[2012-02-27 05:56:28.816176] I [dht-layout.c:682:dht_layout_dir_mismatch] 0-gl03storage03-dht: subvol: gl03storage03-replicate-0; inode layout - 0 - 0; disk layout - 0 - 2147483646
Comment 2 Anand Avati 2012-03-07 13:46:57 EST
CHANGE: http://review.gluster.com/2885 (cluster/distribute: fix log level of few messages) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.